Auto Multiple Choice - Bug # 356: Open questions with a blank space causes "there is no line to end

here" LaTeX error
Description: When you use the @\AMCOpen@ question there can't be a blank line above it, or it will throw a "there is no
line to end here" error.
However, this behaviour is not standard, and one should expect to be allowed to have blank lines in between
the @\AMCOpen@ and the question.
<pre>
\documentclass{article}
\usepackage[]{automultiplechoice}
\begin{document}
\onecopy{1}{
\begin{question}{prez}
Among the following persons, which one has ever been a President of the French Republic?
\AMCOpen{lines=5}{\wrongchoice[W]{w}\scoring{0}\wrongchoice[P]{p}\scoring{2}\correctchoice[C]{c}\scoring{
4}}
\end{question}
\end{document}
</pre>
Test the above, and see that if you remove the blank line (or commented it) between the question and the
@\AMCOpen@ you get no error.
My intuition says that in the implementation of the environments there is probably a @\\@ or something
similar that expects text, but as there is nothing there we get an error.
History

05/04/2015 08:41 am - Alexis Bienveniie
- Status changed from New to Feedback

Can you check with the development version? Your sample file compiles without error with my setup.

05/05/2015 07:18 pm - Adin Ramirez
Yes, | can confirm that the development version solves the problem. However, in the stable version it is not working.

Probably it will be fixed when you push the current version to the stable branch.

02/07/2021 02:23 pm - Alexis Bienveniie
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
